/*
  Copyright 2024 by Daniel Meißner <daniel.meissner-i4k@ruhr-uni-bochum.de>

  SPDX-License-Identifier: GPL-3.0-or-later
*/

import {runTestsuite} from "./runner.js";

const testResults = document.querySelector(".test-cases");

function displayResult(text, result) {

    const newResult = document.createElement("li");
    newResult.innerText = text;
    newResult.className = result ? "success" : "failure";
    testResults.appendChild(newResult);
}

runTestsuite(displayResult);
